---
updatedAt: 2026-04-28T11:29:48.000Z
---

Fetch the complete documentation index at: https://apidocs.hibob.com/llms.txt. Use this file to discover all available pages before exploring further.

# Job ads

Job ads API allows you to fetch job ads from Bob's careers page and post them to your custom careers page

# Guidelines for using Bob Hiring API to integrate with your career page

* Bob's Hiring API allows you to fetch job ads, from Bob's careers page and post them to your custom careers page. Additionally, you will get a link to an application form for new candidates to apply for the job. To learn more about setting up the Hiring API, see <a href="https://help.hibob.com/hc/en-us/articles/24261138860689">Integrate your custom careers page with Bob Hiring</a>

* **Fetching lists and details**: You can either fetch a list of job IDs and then retrieve each job's details using the GET endpoint, or directly fetch the details in the initial list.

* **Field specification**: Always specify which fields to fetch using the 'fields' parameter in the request body. For a detailed list of available fields, refer to the schema in the '200 response' section.

* **To retrieve job ads**: Send an empty array in the 'filters' parameter in the request body to retrieve all active job ads, or specific filters in the request body to narrow the results.

* **Posting on your career page**: For each job ad retrieved from Bob, create a corresponding page on your career page. Ensure the URL for each job ad on your website matches the custom format defined in Bob, using a structure like `https://yourdomain.com/careers/{jobId}`.

* **Application link**: To allow new candidates to apply, ensure you retrieve and utilize the 'jobAd/applyUrl' field from each job ad's response. This URL links to an application form hosted by Bob, which automatically submits the candidate's details back to Bob.

To learn more, see [Integrate with your Careers page](https://apidocs.hibob.com/docs/how-to-use-hiring-api-careers-page).

# Required permissions

The service user does not require any permissions to access Job Ads data.

# Rate limiting

Rate limits are restrictions that our API imposes on the number of times a user can access our endpoints within a specified period of time. To learn more about rate limiting best practices, see [Rate limiting](https://apidocs.hibob.com/docs/rate-limit).

Below is a table detailing the rate limits for each endpoint in the Hiring endpoints.

| Method | Endpoint                                                                              | Limit per minute |
| :----- | :------------------------------------------------------------------------------------ | :--------------- |
| POST   | [Get all active job ads from your Career page](/reference/post_hiring-job-ads-search) | 100              |
| GET    | [Get the details of a single job ad](/reference/get_hiring-job-ads-id)                | 100              |

<br />